name: Test setup and build APKs
run-name: ${{ gitea.actor }} is building the Docker Images for ${{ gitea.repository }}
on: [push]
branches:
  - master

jobs:
  Build-and-Create-Development-Environment: # Renamed job for clarity
    runs-on: ubuntu-latest

    container:
      volumes:
        - /prod/data/apk/:/prod/data/apk/:rw # host_path:container_path:mode (rw or ro)

    steps:
      # 1. Fetch all history for cross-branch operations
      - name: Check out Repository
        uses: actions/checkout@v4

      - name: Start setup proces
        run: |
          ./setup.sh
